﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using SyncfusionMvcApplication14;
namespace SyncfusionMvcApplication14.Controllers
{
    public class GridController : Controller
    {
        //
        // GET: /Grid/
        public ActionResult GridFeatures()
        {
            var DataSource = new NorthwindDataContext().OrdersViews.ToList();
            List<SyncfusionMvcApplication14.Models.VisualGridDocument> subQueryToReturn = new List<Models.VisualGridDocument>();
            List<SyncfusionMvcApplication14.Models.VisualGridDocument> subQueryToReturn2 = new List<Models.VisualGridDocument>();
            int random = 1;
            int count = 0;
            foreach (var item in DataSource) 
            {
                
                subQueryToReturn.Add(new SyncfusionMvcApplication14.Models.VisualGridDocument
                {
                    OrderID = item.OrderID.ToString(),
                    CustomerID = item.CustomerID,
                    EmployeeID = item.EmployeeID.ToString(),
                    Freight = item.Freight.ToString(),
                    Verified = (random %2 ==0)?true:false,
                    Symbol = random
                });
                if (count < 2)
                {
                    /*subQueryToReturn2.Add(new SyncfusionMvcApplication14.Models.VisualGridDocument
                    {
                        CustomerID = item.CustomerID,
                        EmployeeID = item.EmployeeID.ToString()
                    });*/
                    count++;
                }
                random++;
                if (random == 4)
                    random = 1;
            }
            
            ViewBag.datasource = subQueryToReturn;
            ViewBag.dataSourceDetails = subQueryToReturn2;
            return View();
        }

        public ActionResult RowDragHandler2(List<Models.VisualGridDocument> deleted)
        {
            //OrderRepository.Delete2(deleted);
            return Json(deleted, JsonRequestBehavior.AllowGet);
        }

        public ActionResult RowDragHandler(List<Models.VisualGridDocument> deleted)
        {
            //OrderRepository.Delete(deleted);
            return Json(deleted, JsonRequestBehavior.AllowGet);
        }

        public ActionResult RowDropHandler(List<Models.VisualGridDocument> added)
        {
            /*RowDropModel dropDetails = (RowDropModel)ser.Deserialize(Request.Headers["rowDropDetails"], typeof(RowDropModel));
            var count = 0;
            var data = OrderRepository.GetAllRecords();
            if (added != null)
            {
                foreach (var item in added)
                {
                    data.Insert(dropDetails.DestinationRowIndex + count, item);
                    count++;
                }
            }*/
            return Json(added, JsonRequestBehavior.AllowGet);
        }
        public ActionResult RowDropHandler2(List<Models.VisualGridDocument> added)
        {
            /*RowDropModel dropDetails = (RowDropModel)ser.Deserialize(Request.Headers["rowDropDetails"], typeof(RowDropModel));
            var count = 0;
            var data = OrderRepository.GetAllRecords2();
            foreach (var item in added)
            {
                data.Insert(dropDetails.DestinationRowIndex + count, item);
                count++;
            }*/
            return Json(added, JsonRequestBehavior.AllowGet);
        }

    }

      
}
